## libpam-encfs 0.1.3

=== Makefile ===
PAM_LIB_DIR = $(DESTDIR)/lib/security
CC = gcc
LD = ld
INSTALL = /usr/bin/install
CFLAGS = -fPIC -O2 -c -g -Wall -Wformat-security
LDFLAGS = -x --shared 
PAMLIB = -lpam
CRYPTLIB = -lcrypt
CPPFLAGS =

all: pam_encfs.so

pam_encfs.so: pam_encfs.o
	$(LD) $(LDFLAGS) -o pam_encfs.so pam_encfs.o $(PAMLIB) $(CRYPTLIB)

pam_encfs.o: pam_encfs.c
	$(CC) $(CFLAGS) pam_encfs.c

install: pam_encfs.so
	$(INSTALL) -m 0755 -d $(PAM_LIB_DIR)
	$(INSTALL) -m 0755 pam_encfs.so $(PAM_LIB_DIR)

clean:
	rm -f pam_encfs.o pam_encfs.so

spotless:
	rm -f pam_encfs.so pam_encfs.o *~ core

## libpam-encfs 0.1.4.1

=== Makefile ===
PAM_LIB_DIR = $(DESTDIR)/lib/security
CC = gcc
LD = ld
INSTALL = /usr/bin/install
CFLAGS = -fPIC -O2 -c -g -Wall -Wformat-security -fno-strict-aliasing
LDFLAGS = -x --shared 
PAMLIB = -lpam
CPPFLAGS =

all: pam_encfs.so

pam_encfs.so: pam_encfs.o
	$(LD) $(LDFLAGS) -o pam_encfs.so pam_encfs.o $(PAMLIB)

pam_encfs.o: pam_encfs.c
	$(CC) $(CFLAGS) pam_encfs.c

install: pam_encfs.so
	$(INSTALL) -m 0755 -d $(PAM_LIB_DIR)
	$(INSTALL) -m 0644 pam_encfs.so $(PAM_LIB_DIR)

clean:
	rm -f pam_encfs.o pam_encfs.so

spotless:
	rm -f pam_encfs.so pam_encfs.o *~ core

## libpam-encfs 0.1.4.4

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 LD = ld
 INSTALL = /usr/bin/install
 CFLAGS = -fPIC -O2 -c -g -Wall -Wformat-security -fno-strict-aliasing
-LDFLAGS = -x --shared 
+LDFLAGS = --shared 
 PAMLIB = -lpam
 CPPFLAGS =

=== debian/changelog ===
libpam-encfs (0.1.4.4-7) unstable; urgency=medium

  * debian/control:
    - Use canonical form for Vcs-* headers.
    - Bump Standards version. No changes required.
    - Cosmetic changes.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 29 Sep 2014 12:45:11 +0200

libpam-encfs (0.1.4.4-6) unstable; urgency=low

  * Fix FTBFS with multiple -Wl,... flags. Thanks Ilya Barygin
    from Ubuntu for report and fix (Closes: #675581).

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 04 Jun 2012 10:34:57 +0200

libpam-encfs (0.1.4.4-5) unstable; urgency=low

  * debian/rules:
    - Fix lintian debian-rules-missing-recommended-target build-{arch,indep}.
  * 01_pam_encfs.c_hint-console-login-on-error.patch:
    - Hint using a console login to get more info on login
      failure (Closes: #648704).
  * debian/README.Debian:
    - More detailed info about selected default options, password
      change and security implications.
  * debian/control:
    - Bump Standards-Version. No changes required.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 28 May 2012 15:08:07 +0200

libpam-encfs (0.1.4.4-4) unstable; urgency=low

  * debian/rules:
    - Make sure libraries are sanely ordered for linking. Thanks
      David Shorten (Closes: #633448).
    - Fix typo (as-needed -> add-needed).
    - Use dpkg-buildflags to get standard buildflags.
  * debian/control:
    - Bump Standards version. No changes required.
    - Build depend on dpkg-dev (>= 1.15.7~) because of dpkg-buildflags.
  * Make package dpkg 3.0 (quilt).

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 12 Jul 2011 16:10:38 +0200

libpam-encfs (0.1.4.4-3) unstable; urgency=low

  * debian/NEWS,README.Debian: Document possible behavior
    changes on session end after upgrade to pam-auth-update
    based files (Closes: #621018).

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 12 Apr 2011 13:06:10 +0200

libpam-encfs (0.1.4.4-2) unstable; urgency=low

  * Build only for linux, Currently, fuse is not available
    outside it.
  * Keep a separate debian/pam_encfs.conf and ship upstream's
    at doc dir.
  * debian/copyright: Update years and origin.
  * debian/libpam-encfs.preinst: Fix 'Conffiles' for dpkg-query
    -f option.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 28 Feb 2011 17:34:22 +0100

libpam-encfs (0.1.4.4-1) unstable; urgency=low

  * New (temporary) maintainer.
  * New upstream release.
  * Integrate libpam-encfs with pam-auth-update (Closes: #605559).
    Original pam-config by Simon Mungewell (LP: #287904).
  * Update watch file. Thanks Yan Morin (Closes: #550802).
  * debian/README.source: Added. Package uses dpatch patch system.
  * debian/control:
    - Update Homepage.
    - Fix lintian debhelper-but-no-misc-depends.
    - Bump Standards-Version. No changes required.
  * debian/copyright. Fix unversioned GPL version.
  * {pre,post}inst: Fix lintian maintainer-script-ignores-errors.
  * Remove some patches for changes included by upstream in 0.1.4.2:
    - 04_possible_buffer_overflow.dpatch.
    - 05_wait_for_fusermount.dpatch.
    - 06_link_with_gcc.dpatch: Removed. Partially integrated in 0.1.4.2.
      For the rest, upstream prefers to stay with ld, so we use it
      consistently.
  * 03_Changelog.dpatch: Removed. Create a pseudo upstream Changelog
    under debian/ and make sure it is installed.
  * 02_pam_encfs.conf:
    - Update for new upstream releases.
    - Fix conflicting options in config. Thanks again Simon Mungewell
      (LP: #287929).
    - Do not set allow_root in global fuse options, as this implies that
      different choice cannot be used for any user.
    - Use allow_root as default in specific definitions.
    - Warn that allow_user and allow_root cannot be used simultaneously.
  * debian/rules: Pass LD_FLAGS from debian/rules, including -x and
    explicit -lc. This last should also close (LP: #205783), already
    closed differently in 0.1.4.1-4.
  * Really close (Closes: #465558). It was indeed closed in 0.1.4.1-4,
    but mistyped as #1465558, and fix is included in upstream 0.1.4.2.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 15 Feb 2011 12:37:04 +0100

libpam-encfs (0.1.4.1-4) unstable; urgency=low

  * Link using gcc instead calling ld directly. Hopefuly closes ubuntu bug
    number 205783.
  * Activate patch 05_wait_for_fusermount. The patch was created to solve
    bug #1465558 in 0.1.4.1-3, but I forgot to activate it.

 -- Rubén Porras Campo <nahoo82@gmail.com>  Tue, 22 Apr 2008 23:02:23 +0200

libpam-encfs (0.1.4.1-3) unstable; urgency=low

  * Wait for fusermount after exiting the session. Closes: #1465558

 -- Rubén Porras Campo <nahoo82@gmail.com>  Mon, 18 Feb 2008 18:26:13 +0100

libpam-encfs (0.1.4.1-2) unstable; urgency=low

  * Fix possible buffer overflow. Thanks to Max Vozeler.

 -- Rubén Porras Campo <nahoo82@gmail.com>  Thu, 08 Nov 2007 22:40:41 +0100

libpam-encfs (0.1.4.1-1) unstable; urgency=low

  * New upstream release.
  * Preinst does not use anymore /var/lib/dpkg/status directly.
  * Do not ignore errors in clean targen of debian/rules.
  * Update to Debian Policy 2.7.2.2.
  * Correct handling of chdir when using sudo. Closes: #425656.
  * Update maintainer address.

 -- Rubén Porras Campo <nahoo82@gmail.com>  Wed, 12 Sep 2007 10:20:43 +0200

libpam-encfs (0.1.3-1) unstable; urgency=low

  * New upstream version
  * Cleaned 02_pam_encfs.conf.dpatch removing some things I should
    have left during my test.
  * Rewrite Debian changelog, the package is intended to go in admin,
    not in base
  * Include changelog based on information provided in upstream web page

 -- Rubén Porras Campo <nahoo@inicia.es>  Tue, 24 Jan 2006 17:54:55 +0100

libpam-encfs (0.1.2-4) unstable; urgency=low

  * Change section from libs to admin. Closes: #341165

 -- Rubén Porras Campo <nahoo@inicia.es>  Tue, 13 Dec 2005 22:12:52 +0100

libpam-encfs (0.1.2-3) unstable; urgency=low

  * Change architecture from i386 to any. Closes: #340575



=== debian/control ===
Source: libpam-encfs
Section: admin
Priority: optional
Maintainer: Agustin Martin Domingo <agmartin@debian.org>
Uploaders: Bartosz Fenski <fenio@debian.org>
Build-Depends: debhelper (>= 7.0.0),
	       dpkg-dev (>= 1.15.7~),
	       libpam0g-dev,
	       quilt
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/collab-maint/libpam-encfs.git
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/libpam-encfs.git
Homepage: http://code.google.com/p/pam-encfs

Package: libpam-encfs
Architecture: linux-any
Depends: encfs,
	 libpam-runtime (>= 1.0.1-6),
	 ${shlibs:Depends},
	 ${misc:Depends}
Description: PAM module to automatically mount encfs filesystems on login
 This PAM module integrates encfs and PAM, so home directories are
 automatically mounted on login. EncFS provides an encrypted filesystem in
 user-space, this PAM module easily allow each user to have an encrypted home,
 and mount it automatically using its login password as encfs password.

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# <Webpage URL> <string match>
http://code.google.com/p/pam-encfs/downloads/list \
http://pam-encfs.googlecode.com/files/pam_encfs-(.*)\.tar\.gz
